#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global make_common_opts \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	MAN_DIR=%{_mandir} \\\
	PYFLAKES=true \\\
	PEP8=true \\\
	%{?null}

Summary:	RHEV-M setup plugins
Name:		rhevm-setup-plugins
Version:	3.4.0
Release:	0.5.beta2%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		https://gerrit.eng.lab.tlv.redhat.com/gitweb?p=rhevm-setup-plugins.git;a=summary
Source:		%{name}-3.4.0_beta2-0.5.beta2.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Setup plugins for RHEV-M

%prep
%setup -q -n %{name}-3.4.0_beta2

%build
make %{?_smp_mflags} %{make_common_opts}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} %{make_common_opts} install DESTDIR="%{buildroot}"

%files
%{_datadir}/ovirt-engine/setup/ovirt_engine_setup/rhevm*
%{_datadir}/ovirt-engine/setup/plugins/*/rhevm-setup-plugins/

%changelog
* Tue Mar 25  2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.0-0.5.beta2
- Resolves: rhbz#1076046

* Tue Mar 18 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.0-0.3.beta2
- Resolves: rhbz#1077277

* Tue Dec 17 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.3.0-4
- Resolves: rhbz#1040975

* Thu Dec 12 2013 Alon Bar-Lev <alonbl@redhat.com> - 3.3.0-3
- Resolves: rhbz#1013356

* Wed Dec 04 2013 Alon Bar-Lev <alonbl@redhat.com> - 3.3.0-2
- Resolves: rhbz#1011087

* Mon Sep 30 2013 Alon Bar-Lev <alonbl@redhat.com> - 3.3.0-1
- Initial import.
- Resolves: rhbz#910377
- Resolves: rhbz#977295
- Resolves: rhbz#1013356
